%{!?dist: %define dist .slc5}
Name: linuxsoft-stats
Version: 0.2
Release: 1%{?dist}
Summary: SLC installation base statistics gatherer for linuxsoft machines.
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: openssh-clients, perl-libwww-perl, sqlite

%description 
%{name} is used to collect and process SLC installation data
for statistical purposes.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d
mkdir -p ${RPM_BUILD_ROOT}%{_var}/lib/%{name}
install -m 755 lxstats.pl ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
install -m 644 lxstats.cron ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sysconfdir}/cron.d/%{name}
%{_sbindir}/%{name}
%{_var}/lib/%{name}

%changelog
* Wed Aug 18 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.1-2
- fix typo in package description

* Tue Aug 17 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.1-1
- initial packaging
